AppdefEntityException (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.AppdefEntityException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class AppdefEntityException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.hyperic.util.NestedException
                  org.hyperic.hq.common.ApplicationException
                      org.hyperic.hq.appdef.shared.AppdefEntityException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  GroupNotCompatibleException

    public abstract class AppdefEntityException

extends ApplicationException

A useful base class for exceptions that want to capture some information about the appdef entity that was related in some way to the exception.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.util.NestedException
`_exception`

Constructor Summary
`AppdefEntityException()`
`AppdefEntityException(AppdefEntityID aeid)`
`AppdefEntityException(java.lang.String s)`
`AppdefEntityException(java.lang.String s, AppdefEntityID aeid)`
`AppdefEntityException(java.lang.String s, java.lang.Throwable t)`
`AppdefEntityException(java.lang.String s, java.lang.Throwable t, AppdefEntityID aeid)`
`AppdefEntityException(java.lang.Throwable t)`
`AppdefEntityException(java.lang.Throwable t, AppdefEntityID aeid)`

Method Summary
`AppdefEntityID` | `getAppdefEntityID()`
`void` | `setAppdefEntiyID(AppdefEntityID aeid)`

Methods inherited from class org.hyperic.util.NestedException
`addException, getExceptionOfType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AppdefEntityException

    public AppdefEntityException()

### AppdefEntityException

    public AppdefEntityException(java.lang.String s)

### AppdefEntityException

    public AppdefEntityException(java.lang.Throwable t)

### AppdefEntityException

    public AppdefEntityException(java.lang.String s,
                                 java.lang.Throwable t)

### AppdefEntityException

    public AppdefEntityException(AppdefEntityID aeid)

### AppdefEntityException

    public AppdefEntityException(java.lang.String s,
                                 AppdefEntityID aeid)

### AppdefEntityException

    public AppdefEntityException(java.lang.Throwable t,
                                 AppdefEntityID aeid)

### AppdefEntityException

    public AppdefEntityException(java.lang.String s,
                                 java.lang.Throwable t,
                                 AppdefEntityID aeid)

Method Detail

### setAppdefEntiyID

    public void setAppdefEntiyID(AppdefEntityID aeid)

### getAppdefEntityID

    public AppdefEntityID getAppdefEntityID()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.